Skip to main content
GET
/
api
/
monitors
/
custom-monitors
/
v1
ListMonitors
curl --request GET \
  --url https://developer.synq.io/api/monitors/custom-monitors/v1 \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://developer.synq.io/api/monitors/custom-monitors/v1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://developer.synq.io/api/monitors/custom-monitors/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pageInfo": {
    "totalCount": 123,
    "count": 123,
    "lastId": "<string>"
  },
  "monitors": [
    {
      "anomalyEngine": {},
      "categoryDistribution": {
        "field": "<string>",
        "topKLimit": 1
      },
      "daily": {
        "minutesSinceMidnight": 719,
        "delayNumDays": 1,
        "onlyScheduleDelay": true
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "monitoredId": {
        "airflowDag": {
          "integrationId": "<string>",
          "dagId": "<string>"
        }
      },
      "name": "<string>",
      "timePartitioning": {
        "expression": "<string>",
        "interval": "<string>"
      },
      "segmentation": {
        "expression": "<string>",
        "includeValues": {
          "values": [
            "<string>"
          ]
        },
        "excludeValues": {
          "values": [
            "<string>"
          ]
        }
      },
      "filter": "<string>",
      "description": "<string>",
      "configId": "<string>",
      "timezone": "<string>",
      "sqlSource": {
        "sql": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

integrationIds
string[]
monitoredAssetPaths
string[]
monitorIds
string[]
source
string[]
deprecated
configIds
string[]
deprecated
configsFilter.ids
string[]
sources
enum<string>[]
Available options:
SOURCE_APP,
SOURCE_API
pagination.cursor
string

Opaque cursor token for the next page of results. If not provided, returns the first page. This is an encoded token that should be passed as-is from the previous PageInfo.last_id.

pagination.pageSize
integer<int32>

Maximum number of items to return in a single page. If not provided, defaults vary per API.

Required range: x >= 0

Response

200 - application/json

Success

pageInfo
PageInfo · object
required

Paging information.

monitors
MonitorDefinition · object[]

filter_not_supported_for_table_stats // filter is not supported for table stats monitors segmentation_not_supported_for_field_stats_and_table_stats // Segmentation is not supported for field stats and table stats monitors sql_source_not_supported_for_table_stats // sql_source is not supported for table stats monitors time_partitioning_required_for_non_table_stats // time_partitioning is required when table_stats is not set, and must not be set when table_stats is set